#include <functional>
#include <iterator>
#include <map>
#include <memory>
#include <sstream> // __str__
#include <string>
#include <tmdlib/TMDlib.h>
#include <utility>
#include <vector>

#include <pybind11/pybind11.h>
#include <functional>
#include <string>
#include <tmdlib/TMDlib.h>
#include <src/stl_binders.hpp>


#ifndef BINDER_PYBIND11_TYPE_CASTER
	#define BINDER_PYBIND11_TYPE_CASTER
	PYBIND11_DECLARE_HOLDER_TYPE(T, std::shared_ptr<T>)
	PYBIND11_DECLARE_HOLDER_TYPE(T, T*)
	PYBIND11_MAKE_OPAQUE(std::shared_ptr<void>)
#endif

void bind_pyTMDlib_2(std::function< pybind11::module &(std::string const &namespace_) > &M)
{
	{ // TMDlib::TMDGrid file: line:16
		pybind11::class_<TMDlib::TMDGrid, std::shared_ptr<TMDlib::TMDGrid>> cl(M("TMDlib"), "TMDGrid", "Class for the interpolation of a single TMD grid");
		cl.def("Evaluate", (class std::map<int, double> (TMDlib::TMDGrid::*)(const double &, const double &, const double &) const) &TMDlib::TMDGrid::Evaluate, "Function that returns the value of one of the functions.\n \n\n momentum fraction\n \n\n transverse momentum\n \n\n renormalisation scale (assumed to be equal to the square root of zeta)\n \n\n It returns the value of all the flavour TMD distributions\n\nC++: TMDlib::TMDGrid::Evaluate(const double &, const double &, const double &) const --> class std::map<int, double>", pybind11::arg("x"), pybind11::arg("qT"), pybind11::arg("Q"));
	}
	{ // TMDlib::StructGrid file: line:16
		pybind11::class_<TMDlib::StructGrid, std::shared_ptr<TMDlib::StructGrid>> cl(M("TMDlib"), "StructGrid", "Class for the interpolation of a single TMD grid");
		cl.def("Evaluate", (double (TMDlib::StructGrid::*)(const double &, const double &, const double &, const double &) const) &TMDlib::StructGrid::Evaluate, "Function that returns the value of one of the functions.\n \n\n momentum fraction\n \n\n momentum fraction\n \n\n transverse momentum\n \n\n renormalisation scale (assumed to be equal to the square root of zeta)\n \n\n It returns the value of structure function distributions\n\nC++: TMDlib::StructGrid::Evaluate(const double &, const double &, const double &, const double &) const --> double", pybind11::arg("x"), pybind11::arg("z"), pybind11::arg("qT"), pybind11::arg("Q"));
	}
	// TMDlib::mkTMD(const std::string &, const int &) file: line:17
	M("TMDlib").def("mkTMD", [](const std::string & a0) -> TMDlib::TMDGrid * { return TMDlib::mkTMD(a0); }, "", pybind11::return_value_policy::automatic, pybind11::arg("name"));
	M("TMDlib").def("mkTMD", (class TMDlib::TMDGrid * (*)(const std::string &, const int &)) &TMDlib::mkTMD, "Factory that returns a \"TMDGrid\" object.\n \n\n name of the TMD set (assumed to be in the current folder for now)\n \n\n member to be read (defaul: 0, i.e. central member)\n\nC++: TMDlib::mkTMD(const std::string &, const int &) --> class TMDlib::TMDGrid *", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("mem"));

	// TMDlib::mkTMD(const std::string &, const std::string &, const int &) file: line:25
	M("TMDlib").def("mkTMD", [](const std::string & a0, const std::string & a1) -> TMDlib::TMDGrid * { return TMDlib::mkTMD(a0, a1); }, "", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("folder"));
	M("TMDlib").def("mkTMD", (class TMDlib::TMDGrid * (*)(const std::string &, const std::string &, const int &)) &TMDlib::mkTMD, "Factory that returns a \"TMDGrid\" object.\n \n\n name of the TMD set\n \n\n name of the folder where the TMD set is\n \n\n member to be read (defaul: 0, i.e. central member)\n\nC++: TMDlib::mkTMD(const std::string &, const std::string &, const int &) --> class TMDlib::TMDGrid *", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("folder"), pybind11::arg("mem"));

	// TMDlib::mkSF(const std::string &, const int &) file: line:38
	M("TMDlib").def("mkSF", [](const std::string & a0) -> TMDlib::StructGrid * { return TMDlib::mkSF(a0); }, "", pybind11::return_value_policy::automatic, pybind11::arg("name"));
	M("TMDlib").def("mkSF", (class TMDlib::StructGrid * (*)(const std::string &, const int &)) &TMDlib::mkSF, "Factory that returns a \"StructGrid\" object.\n \n\n name of the structure function set (assumed to be in the current folder for now)\n \n\n member to be read (defaul: 0, i.e. central member)\n\nC++: TMDlib::mkSF(const std::string &, const int &) --> class TMDlib::StructGrid *", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("mem"));

	// TMDlib::mkSF(const std::string &, const std::string &, const int &) file: line:46
	M("TMDlib").def("mkSF", [](const std::string & a0, const std::string & a1) -> TMDlib::StructGrid * { return TMDlib::mkSF(a0, a1); }, "", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("folder"));
	M("TMDlib").def("mkSF", (class TMDlib::StructGrid * (*)(const std::string &, const std::string &, const int &)) &TMDlib::mkSF, "Factory that returns a \"StructGrid\" object.\n \n\n name of the structure function set\n \n\n name of the folder where the structure function set is\n \n\n member to be read (defaul: 0, i.e. central member)\n\nC++: TMDlib::mkSF(const std::string &, const std::string &, const int &) --> class TMDlib::StructGrid *", pybind11::return_value_policy::automatic, pybind11::arg("name"), pybind11::arg("folder"), pybind11::arg("mem"));

	// TMDlib::ipow(double, int) file:tmdlib/TMDlib.h line:61
	M("TMDlib").def("ipow", (double (*)(double, int)) &TMDlib::ipow, "C++: TMDlib::ipow(double, int) --> double", pybind11::arg(""), pybind11::arg(""));

	// TMDlib::iipow(int, int) file:tmdlib/TMDlib.h line:62
	M("TMDlib").def("iipow", (int (*)(int, int)) &TMDlib::iipow, "C++: TMDlib::iipow(int, int) --> int", pybind11::arg(""), pybind11::arg(""));

	{ // TMDlib::TMD file:tmdlib/TMDlib.h line:65
		pybind11::class_<TMDlib::TMD, std::shared_ptr<TMDlib::TMD>> cl(M("TMDlib"), "TMD", "");
		cl.def( pybind11::init( [](){ return new TMDlib::TMD(); } ) );
		cl.def( pybind11::init( [](TMDlib::TMD const &o){ return new TMDlib::TMD(o); } ) );
		cl.def("TMDinit", (void (TMDlib::TMD::*)(const std::string, int, int)) &TMDlib::TMD::TMDinit, "C++: TMDlib::TMD::TMDinit(const std::string, int, int) --> void", pybind11::arg("name"), pybind11::arg("irep"), pybind11::arg("imode"));
		cl.def("TMDinit", (void (TMDlib::TMD::*)(const std::string, int)) &TMDlib::TMD::TMDinit, "C++: TMDlib::TMD::TMDinit(const std::string, int) --> void", pybind11::arg("name"), pybind11::arg("irep"));
		cl.def("TMDinit", (void (TMDlib::TMD::*)(const std::string)) &TMDlib::TMD::TMDinit, "C++: TMDlib::TMD::TMDinit(const std::string) --> void", pybind11::arg("name"));
		cl.def("TMDinit", (void (TMDlib::TMD::*)(int &)) &TMDlib::TMD::TMDinit, "C++: TMDlib::TMD::TMDinit(int &) --> void", pybind11::arg("iset"));
		cl.def("trim", (std::string (TMDlib::TMD::*)(const std::string &)) &TMDlib::TMD::trim, "Strip leading and trailing spaces (not in-place) from LHAPDF\n\nC++: TMDlib::TMD::trim(const std::string &) --> std::string", pybind11::arg("s"));
		cl.def("TMDpdf", (class std::vector<double> (TMDlib::TMD::*)(double, double, double, double)) &TMDlib::TMD::TMDpdf, "C++: TMDlib::TMD::TMDpdf(double, double, double, double) --> class std::vector<double>", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"));
		cl.def("TMDpdf", (void (TMDlib::TMD::*)(double, double, double, double, class std::vector<double> &)) &TMDlib::TMD::TMDpdf, "C++: TMDlib::TMD::TMDpdf(double, double, double, double, class std::vector<double> &) --> void", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"), pybind11::arg("xpq"));
		cl.def("TMDpdf", (void (TMDlib::TMD::*)(double, double, double, double, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::TMDpdf, "C++: TMDlib::TMD::TMDpdf(double, double, double, double, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"), pybind11::arg("uval"), pybind11::arg("dval"), pybind11::arg("sea"), pybind11::arg("charm"), pybind11::arg("bottom"), pybind11::arg("gluon"), pybind11::arg("photon"));
		cl.def("TMDpdf", (void (TMDlib::TMD::*)(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::TMDpdf, "C++: TMDlib::TMD::TMDpdf(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("gluon"), pybind11::arg("photon"));
		cl.def("TMDpdf", (void (TMDlib::TMD::*)(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::TMDpdf, "C++: TMDlib::TMD::TMDpdf(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("gluon"), pybind11::arg("photon"), pybind11::arg("z0"), pybind11::arg("wplus"), pybind11::arg("wminus"), pybind11::arg("higgs"));
		cl.def("TMDdensity", (void (TMDlib::TMD::*)(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::TMDdensity, "C++: TMDlib::TMD::TMDdensity(double, double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("xbar"), pybind11::arg("kt"), pybind11::arg("mu"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("gluon"), pybind11::arg("photon"), pybind11::arg("z0"), pybind11::arg("wplus"), pybind11::arg("wminus"), pybind11::arg("higgs"));
		cl.def("TMDalphas", (double (TMDlib::TMD::*)(double)) &TMDlib::TMD::TMDalphas, "C++: TMDlib::TMD::TMDalphas(double) --> double", pybind11::arg("mu"));
		cl.def("TMDgetLam4", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetLam4, "C++: TMDlib::TMD::TMDgetLam4() --> double");
		cl.def("TMDgetNf", (int (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetNf, "C++: TMDlib::TMD::TMDgetNf() --> int");
		cl.def("TMDgetNumMembers", (int (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetNumMembers, "C++: TMDlib::TMD::TMDgetNumMembers() --> int");
		cl.def("TMDgetOrderAlphaS", (int (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetOrderAlphaS, "C++: TMDlib::TMD::TMDgetOrderAlphaS() --> int");
		cl.def("TMDgetOrderPDF", (int (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetOrderPDF, "C++: TMDlib::TMD::TMDgetOrderPDF() --> int");
		cl.def("TMDverbosity", (int (TMDlib::TMD::*)()) &TMDlib::TMD::TMDverbosity, "C++: TMDlib::TMD::TMDverbosity() --> int");
		cl.def("TMDgetXmin", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetXmin, "C++: TMDlib::TMD::TMDgetXmin() --> double");
		cl.def("TMDgetXmax", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetXmax, "C++: TMDlib::TMD::TMDgetXmax() --> double");
		cl.def("TMDgetQ2min", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetQ2min, "C++: TMDlib::TMD::TMDgetQ2min() --> double");
		cl.def("TMDgetQ2max", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetQ2max, "C++: TMDlib::TMD::TMDgetQ2max() --> double");
		cl.def("TMDgetQmin", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetQmin, "C++: TMDlib::TMD::TMDgetQmin() --> double");
		cl.def("TMDgetQmax", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetQmax, "C++: TMDlib::TMD::TMDgetQmax() --> double");
		cl.def("TMDgetKtmin", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetKtmin, "C++: TMDlib::TMD::TMDgetKtmin() --> double");
		cl.def("TMDgetKtmax", (double (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetKtmax, "C++: TMDlib::TMD::TMDgetKtmax() --> double");
		cl.def("TMDgetDesc", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetDesc, "C++: TMDlib::TMD::TMDgetDesc() --> std::string");
		cl.def("TMDgetScheme", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetScheme, "C++: TMDlib::TMD::TMDgetScheme() --> std::string");
		cl.def("TMDgetIndex", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetIndex, "C++: TMDlib::TMD::TMDgetIndex() --> std::string");
		cl.def("TMDnumberPDF", (int (TMDlib::TMD::*)(std::string)) &TMDlib::TMD::TMDnumberPDF, "C++: TMDlib::TMD::TMDnumberPDF(std::string) --> int", pybind11::arg("name"));
		cl.def("TMDstringPDF", (std::string (TMDlib::TMD::*)(int)) &TMDlib::TMD::TMDstringPDF, "C++: TMDlib::TMD::TMDstringPDF(int) --> std::string", pybind11::arg("index"));
		cl.def("TMDinfo", (void (TMDlib::TMD::*)(const std::string)) &TMDlib::TMD::TMDinfo, "C++: TMDlib::TMD::TMDinfo(const std::string) --> void", pybind11::arg("name"));
		cl.def("TMDgetExtrapolation_Q2", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetExtrapolation_Q2, "C++: TMDlib::TMD::TMDgetExtrapolation_Q2() --> std::string");
		cl.def("TMDgetExtrapolation_x", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetExtrapolation_x, "C++: TMDlib::TMD::TMDgetExtrapolation_x() --> std::string");
		cl.def("TMDgetExtrapolation_kt", (std::string (TMDlib::TMD::*)()) &TMDlib::TMD::TMDgetExtrapolation_kt, "C++: TMDlib::TMD::TMDgetExtrapolation_kt() --> std::string");
		cl.def("DoesFileExist", (bool (TMDlib::TMD::*)(const std::string)) &TMDlib::TMD::DoesFileExist, "C++: TMDlib::TMD::DoesFileExist(const std::string) --> bool", pybind11::arg("name"));
		cl.def("get_key_val_as_double", (double (TMDlib::TMD::*)(const std::string)) &TMDlib::TMD::get_key_val_as_double, "C++: TMDlib::TMD::get_key_val_as_double(const std::string) --> double", pybind11::arg("name"));
		cl.def("get_key_val_as_int", (int (TMDlib::TMD::*)(const std::string)) &TMDlib::TMD::get_key_val_as_int, "C++: TMDlib::TMD::get_key_val_as_int(const std::string) --> int", pybind11::arg("name"));
		cl.def("allFlavuPDF", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::allFlavuPDF, "C++: TMDlib::TMD::allFlavuPDF(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"));
		cl.def("allFlavuPDF_old", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::allFlavuPDF_old, "C++: TMDlib::TMD::allFlavuPDF_old(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"));
		cl.def("allFlavuPDFn", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::allFlavuPDFn, "C++: TMDlib::TMD::allFlavuPDFn(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"));
		cl.def("allFlavuPDFew", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::allFlavuPDFew, "C++: TMDlib::TMD::allFlavuPDFew(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"), pybind11::arg("z0"), pybind11::arg("wplus"), pybind11::arg("wminus"), pybind11::arg("higgs"));
		cl.def("ccfm_gluon", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::ccfm_gluon, "C++: TMDlib::TMD::ccfm_gluon(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"));
		cl.def("gbwuPDFlight", (void (TMDlib::TMD::*)(double, double, double &)) &TMDlib::TMD::gbwuPDFlight, "C++: TMDlib::TMD::gbwuPDFlight(double, double, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("gluon"));
		cl.def("gbwuPDFcharm", (void (TMDlib::TMD::*)(double, double, double &)) &TMDlib::TMD::gbwuPDFcharm, "C++: TMDlib::TMD::gbwuPDFcharm(double, double, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("gluon"));
		cl.def("sbrsPDF", (void (TMDlib::TMD::*)(int, int, double, double, double, double &, double &, double &, double &)) &TMDlib::TMD::sbrsPDF, "C++: TMDlib::TMD::sbrsPDF(int, int, double, double, double, double &, double &, double &, double &) --> void", pybind11::arg("irep"), pybind11::arg("imode"), pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("uval"), pybind11::arg("dval"), pybind11::arg("sea"), pybind11::arg("charm"));
		cl.def("ksPDF", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::ksPDF, "C++: TMDlib::TMD::ksPDF(double, double, double, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("upl"), pybind11::arg("dn"), pybind11::arg("sea"), pybind11::arg("charm"), pybind11::arg("bottom"), pybind11::arg("gluon"));
		cl.def("ksuPDFgrid", (void (TMDlib::TMD::*)(int, double, double, double, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::ksuPDFgrid, "C++: TMDlib::TMD::ksuPDFgrid(int, double, double, double, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("kf"), pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("dn"), pybind11::arg("sea"), pybind11::arg("charm"), pybind11::arg("bottom"), pybind11::arg("gluon"));
		cl.def("ksDLCPDF", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::ksDLCPDF, "C++: TMDlib::TMD::ksDLCPDF(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("down"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("gluon"));
		cl.def("ksBHKSPDF", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::ksBHKSPDF, "C++: TMDlib::TMD::ksBHKSPDF(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("down"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("gluon"));
		cl.def("tmd_ME", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::tmd_ME, "C++: TMDlib::TMD::tmd_ME(double, double, double, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("uval"), pybind11::arg("dval"), pybind11::arg("sea"), pybind11::arg("charm"), pybind11::arg("bottom"), pybind11::arg("gluon"));
		cl.def("Pavia", (void (TMDlib::TMD::*)(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &)) &TMDlib::TMD::Pavia, "C++: TMDlib::TMD::Pavia(double, double, double, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &, double &) --> void", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"), pybind11::arg("up"), pybind11::arg("ubar"), pybind11::arg("dn"), pybind11::arg("dbar"), pybind11::arg("strange"), pybind11::arg("sbar"), pybind11::arg("charm"), pybind11::arg("cbar"), pybind11::arg("bottom"), pybind11::arg("bbar"), pybind11::arg("top"), pybind11::arg("tbar"), pybind11::arg("phot"), pybind11::arg("gluon"));
		cl.def("setVerbosity", (void (TMDlib::TMD::*)(int)) &TMDlib::TMD::setVerbosity, "C++: TMDlib::TMD::setVerbosity(int) --> void", pybind11::arg("noiselevel"));
		cl.def("assign", (class TMDlib::TMD & (TMDlib::TMD::*)(const class TMDlib::TMD &)) &TMDlib::TMD::operator=, "C++: TMDlib::TMD::operator=(const class TMDlib::TMD &) --> class TMDlib::TMD &", pybind11::return_value_policy::automatic, pybind11::arg(""));
	}
}
