
#include <pybind11/pybind11.h>
#include <functional>
#include <string>
#include <tmdlib/TMDlib.h>
#include <src/stl_binders.hpp>


#ifndef BINDER_PYBIND11_TYPE_CASTER
	#define BINDER_PYBIND11_TYPE_CASTER
	PYBIND11_DECLARE_HOLDER_TYPE(T, std::shared_ptr<T>)
	PYBIND11_DECLARE_HOLDER_TYPE(T, T*)
	PYBIND11_MAKE_OPAQUE(std::shared_ptr<void>)
#endif

void bind_pyTMDlib_3(std::function< pybind11::module &(std::string const &namespace_) > &M)
{
	// TMDlib::initalphas_(int *, double *, double *, double *, double *, double *, double *) file: line:208
	M("TMDlib").def("initalphas_", (void (*)(int *, double *, double *, double *, double *, double *, double *)) &TMDlib::initalphas_, "C++: TMDlib::initalphas_(int *, double *, double *, double *, double *, double *, double *) --> void", pybind11::arg("iord"), pybind11::arg("fr2"), pybind11::arg("mur"), pybind11::arg("asmur"), pybind11::arg("mc"), pybind11::arg("mb"), pybind11::arg("mt"));

	// TMDlib::unpol_(int *, double *, double *, double *, double *, double *, double *, double *, double *, double *) file: line:210
	M("TMDlib").def("unpol_", (void (*)(int *, double *, double *, double *, double *, double *, double *, double *, double *, double *)) &TMDlib::unpol_, "C++: TMDlib::unpol_(int *, double *, double *, double *, double *, double *, double *, double *, double *, double *) --> void", pybind11::arg("in"), pybind11::arg("scale"), pybind11::arg("scale2"), pybind11::arg("bc"), pybind11::arg("lam1"), pybind11::arg("lam2"), pybind11::arg("x_ME"), pybind11::arg("kt_ME"), pybind11::arg("Qf"), pybind11::arg("result"));

	// TMDlib::blueml_(double *, double *, double *) file: line:212
	M("TMDlib").def("blueml_", (double (*)(double *, double *, double *)) &TMDlib::blueml_, "C++: TMDlib::blueml_(double *, double *, double *) --> double", pybind11::arg("x"), pybind11::arg("kt"), pybind11::arg("p"));

}
